Name:           pugixml
Version:        1.2
Release:        %mkrel 1

Summary:        A light-weight C++ XML processing library
Group:          Development/Libraries
License:        MIT
URL:            http://pugixml.org
Source:        http://pugixml.googlecode.com/files/%{name}-%{version}.tar.xz
BuildRequires:  cmake

%description
pugixml is a light-weight C++ XML processing library.
It features:
- DOM-like interface with rich traversal/modification capabilities
- Extremely fast non-validating XML parser which constructs the DOM tree from
  an XML file/buffer
- XPath 1.0 implementation for complex data-driven tree queries
- Full Unicode support with Unicode interface variants and automatic encoding
  conversions


%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for package %{name}


%prep
%setup -q -n %{name}-%{version}



%build
cd scripts
%cmake .. -DCMAKE_INSTALL_PREFIX:PATH=%{buildroot}/usr

%make


%install
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_datadir}/%{name}/contrib
mkdir -p %{buildroot}%{_libdir}

install -p -m 644 contrib/* %{buildroot}%{_datadir}/%{name}/contrib/
install -p -m 644 src/*.hpp %{buildroot}%{_includedir}/
install -p -m 755  scripts/build/*.so.* %{buildroot}%{_libdir}/
mv scripts/build/*.so %{buildroot}%{_libdir}/


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc readme.txt
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc docs/*
%{_libdir}/*.so
%{_datadir}/%{name}
%{_includedir}/*.hpp


%changelog
* Sat Oct 06 2012 Neal <nealbrks0 at gmail dot com> 1.2-1pclos2012
- process

* Fri Oct 05 2012 Ken <lxgator@gmail.com> 1.2-1pclos2012
- initial pkg
